Loading...
Searching...
No Matches
FreqUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| FreqUpdateEvent (const std::vector< volk::vector< double > > dataPoints, const uint64_t numDataPoints)
| ~FreqUpdateEvent () override
int | which () const
const std::vector< const double * > | getPoints () const
uint64_t | getNumDataPoints () const
bool | getRepeatDataFlag () const

## Static Public Member Functions

static QEvent::Type | Type ()

## Constructor & Destructor Documentation

## FreqUpdateEvent()

FreqUpdateEvent::FreqUpdateEvent | ( | const std::vector< volk::vector< double > > | dataPoints,
|  | const uint64_t | numDataPoints )

## ~FreqUpdateEvent()

FreqUpdateEvent::~FreqUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getNumDataPoints()

uint64_t FreqUpdateEvent::getNumDataPoints | ( |  | ) | const

## getPoints()

const std::vector< const double * > FreqUpdateEvent::getPoints | ( |  | ) | const

## getRepeatDataFlag()

bool FreqUpdateEvent::getRepeatDataFlag | ( |  | ) | const

## Type()

QEvent::Type FreqUpdateEvent::Type | ( |  | ) |

inline static

References SpectrumUpdateEventType.

## which()

int FreqUpdateEvent::which | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h